## nipy 0.5.0

=== Makefile ===
# Automating common tasks for NIPY development

PYTHON ?= python
HTML_DIR = doc/build/html
LATEX_DIR = doc/build/latex
WWW_DIR = doc/dist
DOCSRC_DIR = doc
PROJECT = nipy

clean-pyc:
	find . -regex ".*\.pyc" -exec rm -rf "{}" \;

clean: clean-pyc
	find . -regex ".*\.so" -exec rm -rf "{}" \;
	find . -regex ".*\.pyd" -exec rm -rf "{}" \;
	find . -regex ".*~" -exec rm -rf "{}" \;
	find . -regex ".*#" -exec rm -rf "{}" \;
	rm -rf build
	$(MAKE) -C doc clean

clean-dev: clean dev

distclean: clean
	-rm MANIFEST
	-rm $(COVERAGE_REPORT)
	@find . -name '*.py[co]' \
		 -o -name '*.a' \
		 -o -name '*,cover' \
		 -o -name '.coverage' \
		 -o -iname '*~' \
		 -o -iname '*.kcache' \
		 -o -iname '*.pstats' \
		 -o -iname '*.prof' \
		 -o -iname '#*#' | xargs -L10 rm -f
	-rm -r dist
	-rm build-stamp
	-rm -r .tox
	-git clean -fxd

dev: cythonize
	$(PYTHON) setup.py build_ext --inplace

test:
	cd .. && $(PYTHON) -c 'import nipy; nipy.test()'

install:
	$(PYTHON) setup.py install

cythonize:
	$(PYTHON) tools/nicythize

bdist_rpm:
	$(PYTHON) setup.py bdist_rpm \
	  --doc-files "doc" \
	  --packager "nipy authors <https://mail.python.org/mailman/listinfo/neuroimaging>"
	  --vendor "nipy authors <https://mail.python.org/mailman/listinfo/neuroimaging>"

# build MacOS installer -- depends on patched bdist_mpkg for Leopard
bdist_mpkg:
	$(PYTHON) tools/mpkg_wrapper.py setup.py install

# Print out info for possible install methods
check-version-info:
	bash tools/show_version_info.sh

source-release: distclean
	$(PYTHON) setup.py sdist

tox-fresh:
	# tox tests with fresh-installed virtualenvs.  Needs network.  And
	# pytox, obviously.
	tox -c tox.ini

tox-stale:
	# tox tests with MB's already-installed virtualenvs (numpy and nose
	# installed)
	tox -e python25,python26,python27,python32,np-1.2.1

recythonize:
	# Recythonize all pyx files
	find . -name "*.pyx" -exec cython -I libcstat/wrapper -I lib/fff_python_wrapper {} \;

# Website stuff
$(WWW_DIR):
	if [ ! -d $(WWW_DIR) ]; then mkdir -p $(WWW_DIR); fi

htmldoc:
	cd $(DOCSRC_DIR) && $(MAKE) html

pdfdoc:
	cd $(DOCSRC_DIR) && $(MAKE) latex
	cd $(LATEX_DIR) && $(MAKE) all-pdf

html: html-stamp
html-stamp: $(WWW_DIR) htmldoc
	cp -r $(HTML_DIR)/* $(WWW_DIR)
	touch $@

pdf: pdf-stamp
pdf-stamp: $(WWW_DIR) pdfdoc
	cp $(LATEX_DIR)/*.pdf $(WWW_DIR)
	touch $@

website: website-stamp
website-stamp: $(WWW_DIR) html-stamp pdf-stamp
	cp -r $(HTML_DIR)/* $(WWW_DIR)
	touch $@

upload-html: html-stamp
	./tools/upload-gh-pages.sh $(WWW_DIR) $(PROJECT)

refresh-readme:
	$(PYTHON) tools/refresh_readme.py nipy

.PHONY: orig-src pylint

=== requirements.txt ===
# See nipy/info.py for requirement definitions
numpy>=1.14
scipy>=1.0
sympy>=1.0
nibabel>=2.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

PYTHON ?= python
DIST_DIR = dist

# You can set these variables from the command line.
SPHINXOPTS    = #-q # suppress all output but warnings
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean pdf all dist htmlonly api html pickle htmlhelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      	make HTML and API documents"
	@echo "  htmlonly  	make HTML documents only"
	@echo "  api       	make API documents only"
	@echo "  latex     	make LaTeX documents (you can set\
					PAPER=a4 or PAPER=letter)"
	@echo "  all		make HTML, API and PDF documents"
	@echo "  clean		remove all generated documents"
	@echo
	@echo "  linkcheck 	check all external links for integrity"
	@echo "  doctest   	run doctests in reST files"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  dist		make <all> and put results in $DIST_DIR/"
	@echo "  gitwash-update	update git workflow from source repo"

# Commented these out, wasn't clear if we'd use these targets or not.
# @echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
# @echo "  htmlhelp  to make HTML files and a HTML help project"
# @echo "  changes   to make an overview over all changed/added/deprecated items"

clean:
	-rm -rf build/* $(DIST_DIR)/* *~ api/generated labs/generated
	-rm -f manual

pdf: latex
	cd build/latex && make all-pdf

all: html pdf

dist: clean all
	mkdir -p $(DIST_DIR)
	ln build/latex/nipy*.pdf $(DIST_DIR)
	cp -a build/html/* $(DIST_DIR)
	@echo "Build finished.  Final docs are in $(DIST_DIR)"

htmlonly:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

api:
	$(PYTHON) ../tools/build_modref_templates.py
	@echo "Build API docs finished."

html: api htmlonly
	-ln -s build manual
	@echo "Build HTML and API finished."

gitwash-update:
	$(PYTHON) ../tools/gitwash_dumper.py devel/guidelines nipy \
		--github-user=nipy \
		--project-url=http://nipy.org/nipy \
		--project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex: api
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	# Clear bug for longtable column output in sphinx
	$(PYTHON) ../tools/fix_longtable.py build/latex/nipy.tex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

clean-doctest: clean doctest-only
	# Clean avoids testing API docs

doctest-only:
	mkdir -p build/doctest build/doctrees
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo
	@echo "The overview file is in build/doctest."

=== debian/changelog ===
nipy (0.5.0-7) unstable; urgency=medium

  * Team upload.
  * d/control: build depends on python3-pytest.
  * nibabel5.0.0.patch: add; fix unit test failure with nibabel 5.
    (Closes: #1030138)

 -- Étienne Mollier <emollier@debian.org>  Tue, 31 Jan 2023 22:51:15 +0100

nipy (0.5.0-6) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/control: add myself to uploaders.
  * d/rules: dynamically patch numpy aliases.

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.

  [ Étienne Mollier ]
  * numpy1.24.patch: add; fix remaining test failure.
    (Closes: #1027255, #1028778)
  * d/copyright: bump copyright year.
  * d/*.lintian-overrides: remove; unused overrides.

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 Jan 2023 14:53:10 +0100

nipy (0.5.0-5) unstable; urgency=medium

  * Team upload.
  * d/rules: regenerate C source from .pyx with Cython. (Closes: #1024036)
  * d/control: manpages unreadable currently, so disabled.
  * d/control: bring back support to all python3 versions.

 -- Étienne Mollier <emollier@debian.org>  Thu, 05 Jan 2023 23:41:51 +0100

nipy (0.5.0-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: #1026484)
  * Bump SV to 4.6.2

 -- Nilesh Patra <nilesh@debian.org>  Wed, 21 Dec 2022 19:11:34 +0530

nipy (0.5.0-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)

  [ Étienne Mollier ]
  * d/control: only support python3-dev (3.10) instead of python3-all-dev.
    This buys some time while failure to build against Python 3.11
    (see #1024036) is addressed upstream.

 -- Étienne Mollier <emollier@debian.org>  Tue, 15 Nov 2022 21:16:44 +0100

nipy (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Drop debug package
    Closes: #994315

 -- Andreas Tille <tille@debian.org>  Wed, 22 Sep 2021 15:41:40 +0200

nipy (0.5.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * debian/patches: removed very old patches
                    cleaned up patch headers
  * debian/watch: modernize to version 4
  * debian/control: add Multi-Arch metadata as per the hinter
  * Drop patches merged upstream.
  * debian/rules: adjust path to scripts during the tests

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 21:37:24 +0200

=== debian/control ===
Source: nipy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-scipy,
               python3-numpy,
               python3-matplotlib,
               python3-sphinx,
               python3-ipython,
               python3-texext,
               cython3,
               python3-numpydoc,
               python3-nibabel,
               python3-nose,
               python3-nose-exclude,
               python3-pytest,
               python3-sympy,
               liblapack-dev,
               libblas-dev,
               graphviz,
               dvipng,
               help2man
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/nipy
Vcs-Git: https://salsa.debian.org/med-team/nipy.git
Homepage: https://nipy.org/nipy/
Rules-Requires-Root: no

Package: python3-nipy
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-scipy,
         python3-numpy,
         python3-nibabel,
         python3-nipy-lib (>= ${source:Version})
Recommends: python3-matplotlib,
            mayavi2,
            python3-sympy
Suggests: python3-mvpa
Breaks: python-nipy
Replaces: python-nipy
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.  It provides functionality for
  - General linear model (GLM) statistical analysis
  - Combined slice time correction and motion correction
  - General image registration routines with flexible cost functions,
    optimizers and re-sampling schemes
  - Image segmentation
  - Basic visualization of results in 2D and 3D
  - Basic time series diagnostics
  - Clustering and activation pattern analysis across subjects
  - Reproducibility analysis for group studies

Package: python3-nipy-lib
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Analysis of structural and functional neuroimaging data (compiled modules)
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides architecture-dependent builds of the libraries.

Package: python-nipy-doc
Architecture: all
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Recommends: python3-nipy
Description: documentation and examples for NiPy
 This package contains NiPy documentation in various formats (HTML,
 TXT) including
  * User manual
  * Developer guidelines
  * API documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

PYVER = $(shell py3versions -vd)
export PYBUILD_NAME = nipy

# To fix distutils fragile nature: when seing LDFLAGS=, which is set
# by dpkg-buildpackage it stops providing -shared flag, so for the
# minimalistic fix (alternative to NMU-ed #535699 with explicit
# -shared) we just unexport LDFLAGS
unexport LDFLAGS

export NIPY_EXTERNAL_LAPACK=1

# stop matplotlib from thinking it should display plots
export MPLBACKEND=Agg

# Mega rule
%:
	dh $@ --buildsystem=pybuild --with=python3,sphinxdoc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    : # Do not test just after build, lets install and then test
endif

manpages:
	@echo "I: generating manpages"
	set -e; mkdir -p $(CURDIR)/build/manpages && \
	cd $(CURDIR)/debian/python3-nipy/usr/bin/ && for f in *; do \
		descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
        PYTHONPATH=../ \
		help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(DEB_VERSION_UPSTREAM)" "python3 ./$$f" \
		>| ../../../../build/manpages/$$f.1; \
	done

execute_before_dh_auto_build:
	# FIXME: this probably ought to be forwarded upstream:
	@echo 'W: Frightening monkey patch following numpy 1.24, see #1027255.'
	find -type f -name '*.py' -or -name '*.pyx' -or -name '*.c' \
	| xargs sed -i \
		's/\<np\.\(object\|bool\|float\|complex\|str\|int\)\>/\1/g'
	@echo 'I: Force regeneration of C code resulting from .pyx files'
	find $(CURDIR)/nipy/ -name '*.pyx' -exec cython3 '{}' ';'

override_dh_auto_build-indep:
	: # I: build the arch-dep packages to be able to build the docs
	dh_auto_build

	: # I: Generate documentation
	PYTHONPATH=`pybuild --print build_dir --interpreter python$(PYVER)` \
	  http_proxy='127.0.0.1:9' \
	  PATH=$(CURDIR)/debian/tmp/usr/bin/:$$PATH \
	  HOME=$(CURDIR)/build \
	  $(MAKE) -C doc html PYTHON=python$(PYVER)
	: # I: Link in the local coy of mathjax
	ln -sf /usr/share/javascript/mathjax/ doc/build/html/_static/mathjax

test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	: # I: Unittest only the default python version for now against "installed" materials
	# Make sure data files for test will be available
	cp -a $(PYBUILD_NAME)/testing/*.gz $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/testing
	cp -a $(PYBUILD_NAME)/algorithms/statistics/models/tests/*.bin $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/algorithms/statistics/models/tests
	cp -a $(PYBUILD_NAME)/labs/spatial_models/tests/*.nii $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/labs/spatial_models/tests
	cp -a $(PYBUILD_NAME)/modalities/fmri/tests/* $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/modalities/fmri/tests
	cp -a $(PYBUILD_NAME)/algorithms/diagnostics/tests/data $(shell pybuild --print build_dir --interpreter python$(PYVER))/$(PYBUILD_NAME)/algorithms/diagnostics/tests
	cd debian; \
     NIPY_DEBUG_PRINT=1 PATH=$(CURDIR)/debian/python3-nipy/usr/bin:$$PATH \
	  PYTHONPATH=$(shell pybuild --print build_dir --interpreter python$(PYVER)):$$PYTHONPATH \
     MPLCONFIGDIR=$(CURDIR)/build \
	  ../tools/nipnost nipy  --exclude-test=nipy.tests.test_scripts.test_nipy_4d_realign --exclude-test=nipy.tests.test_scripts.test_nipy_3_4d --exclude-test=nipy.tests.test_scripts.test_nipy_tsdiffana --exclude-test=nipy.tests.test_scripts.test_nipy_diagnose
else
	: # Skip unittests due to nocheck
endif

override_dh_install: test
	: # I: Move libraries into the python3-nipy-lib packages
	( cd debian/python3-nipy/ && \
	  find . -iname *.so | \
	    while read so; do \
	      d=../python3-nipy-lib/$$(dirname $$so); \
	      mkdir -p $$d; echo "Moving $$so under $$d"; mv $$so $$d; \
	    done; \
	)
	dh_install
	: # I: Assure versioned dependency on NumPy
	dh_numpy3
	-rm debian/python-nipy-doc/usr/share/javascript/underscore/underscore.js

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## immediately usable documentation and exemplar scripts/data
override_dh_compress:
	: # I: Avoiding compression of what should not be compressed
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

override_dh_installman: manpages
	# FIXME: in their current state, manpages are useless, so are disabled.
	#dh_installman -ppython3-nipy build/manpages/*.1

override_dh_clean:
	: # I: Custom cleaning
	rm -rf build nipy/neurospin/__config__.py
	$(MAKE) -C doc clean
	dh_clean

override_dh_auto_clean:
	# Do not force maintainers to install Build-Depends on local machine
	dh_auto_clean || rm -rf __pycache__ .pybuild

=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/, filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/nipy/nipy//tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz

## nipy 0.6.0

=== Makefile ===
--- 
+++ 
@@ -37,48 +37,23 @@
 	-rm -r .tox
 	-git clean -fxd
 
-dev: cythonize
-	$(PYTHON) setup.py build_ext --inplace
+install:
+	$(PYTHON) -m pip install .
 
-test:
-	cd .. && $(PYTHON) -c 'import nipy; nipy.test()'
-
-install:
-	$(PYTHON) setup.py install
-
-cythonize:
-	$(PYTHON) tools/nicythize
-
-bdist_rpm:
-	$(PYTHON) setup.py bdist_rpm \
-	  --doc-files "doc" \
-	  --packager "nipy authors <https://mail.python.org/mailman/listinfo/neuroimaging>"
-	  --vendor "nipy authors <https://mail.python.org/mailman/listinfo/neuroimaging>"
-
-# build MacOS installer -- depends on patched bdist_mpkg for Leopard
-bdist_mpkg:
-	$(PYTHON) tools/mpkg_wrapper.py setup.py install
+editable:
+	$(PYTHON) -m pip install --no-build-isolation --editable .
 
 # Print out info for possible install methods
 check-version-info:
 	bash tools/show_version_info.sh
 
 source-release: distclean
-	$(PYTHON) setup.py sdist
+	$(PYTHON) -m build . --sdist
 
 tox-fresh:
 	# tox tests with fresh-installed virtualenvs.  Needs network.  And
 	# pytox, obviously.
 	tox -c tox.ini
-
-tox-stale:
-	# tox tests with MB's already-installed virtualenvs (numpy and nose
-	# installed)
-	tox -e python25,python26,python27,python32,np-1.2.1
-
-recythonize:
-	# Recythonize all pyx files
-	find . -name "*.pyx" -exec cython -I libcstat/wrapper -I lib/fff_python_wrapper {} \;
 
 # Website stuff
 $(WWW_DIR):

=== debian/changelog ===
nipy (0.6.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:41:52 +0000

nipy (0.6.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Add alternatives
      liblapack-dev | liblapack.so,
      libblas-dev | libblas.so,

  [ Komolehin Israel Timilehin ]
  * Added autopkgtest

  [ Étienne Mollier ]
  * New upstream version  (Closes: #1056693, #1056823)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * sphinx-ext patch: delete: applied upstream.
  * numpy-fix.patch: delete: issues fixed upstream.
  * numpy1.24.patch: delete: applied upstream.
  * nibabel5.0.0.patch: delete: applied upstream.
  * nibabel5.1.0.patch: delete: issue fixed upstream.
  * standard-gifty-support.patch: delete: fixed upstream.
  * remove-imagefileerror.patch: delete: fixed upstream.
  * python3-shebang.patch: new: ensure scripts run python3.
  * d/rules: remove execute_before_dh_auto_build.
    The numpy automated patching and the recompilation of cython objects
    have become unneed.
  * d/control: build depends on python3-mesonpy.
  * d/rules: remove all tests overrides.
    With the new system, pybuild is now capturing the test suite properly.
  * d/control: tests depend on python3-transforms3d.
  * d/rules: remove unexport of LDFLAGS.
    The underlying issue with distutils is not current anymore.
  * d/control: remove dependency on nose. (Closes: #1018423)
  * d/rules: reinforce documentation building process.
  * d/{control,rules}: migrate to dh-sequence-python3.
  * d/t/control: tests depend on pytest.
  * d/copyright: delete reference to removed file.
  * d/copyright: bump upstream copyright year.

 -- Étienne Mollier <emollier@debian.org>  Sat, 30 Dec 2023 23:49:25 +0100

nipy (0.5.0-8) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * removed myself and Michael since we have not attended to this package for
    awhile

  [ Étienne Mollier ]
  * nibabel5.0.0.patch: update following review upstream.
    Thanks to Chris Markiewicz and Yaroslav Halchenko
  * d/control: build depends on pybuild-plugin-pyproject.
  * nibabel5.1.0.patch: new: resolve test failures.
    These test failures are related to the introduction of the newer
    nibabel version in Debian, which deprecates a couple of functions,
    resulting in some build time test errors in nipy. (Closes: #1042053)
  * standard-gifty-support.patch: new: fix gifti error.
  * remove-imagefileerror.patch: new: remove obsolete import.

 -- Étienne Mollier <emollier@debian.org>  Thu, 17 Aug 2023 21:07:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: nipy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>,
-           Étienne Mollier <emollier@debian.org>
+Uploaders: Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
                python3-scipy,
                python3-numpy,
                python3-matplotlib,
+               python3-mesonpy,
                python3-sphinx,
                python3-ipython,
                python3-texext,
-               cython3,
+               python3-transforms3d <!nocheck>,
                python3-numpydoc,
                python3-nibabel,
-               python3-nose,
-               python3-nose-exclude,
                python3-pytest,
                python3-sympy,
-               liblapack-dev,
-               libblas-dev,
+               liblapack-dev | liblapack.so,
+               libblas-dev | libblas.so,
+               cython3,
                graphviz,
                dvipng,
                help2man
@@ -47,8 +46,6 @@
             mayavi2,
             python3-sympy
 Suggests: python3-mvpa
-Breaks: python-nipy
-Replaces: python-nipy
 Description: Analysis of structural and functional neuroimaging data
  NiPy is a Python-based framework for the analysis of structural and
  functional neuroimaging data.  It provides functionality for
@@ -77,12 +74,12 @@
 Package: python-nipy-doc
 Architecture: all
 Multi-Arch: foreign
-Built-Using: ${sphinxdoc:Built-Using}
 Section: doc
 Depends: libjs-mathjax,
          ${misc:Depends},
-         ${sphinxdoc:Depends},
+         ${sphinxdoc:Depends}
 Recommends: python3-nipy
+Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation and examples for NiPy
  This package contains NiPy documentation in various formats (HTML,
  TXT) including

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

PYVER = $(shell py3versions -vd)
export PYBUILD_NAME = nipy

export NIPY_EXTERNAL_LAPACK=1

# stop matplotlib from thinking it should display plots
export MPLBACKEND=Agg

# Mega rule
%:
	dh $@ --buildsystem=pybuild --with=sphinxdoc

manpages:
	@echo "I: generating manpages"
	set -e; mkdir -p $(CURDIR)/build/manpages && \
	cd $(CURDIR)/debian/python3-nipy/usr/bin/ && for f in *; do \
		descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
        PYTHONPATH=../ \
		help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(DEB_VERSION_UPSTREAM)" "python3 ./$$f" \
		>| ../../../../build/manpages/$$f.1; \
	done

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# Generate documentation
	PYTHONPATH=$$(pybuild --print build_dir --interpreter python$(PYVER)) \
	  http_proxy='127.0.0.1:9' \
	  PATH=$(CURDIR)/debian/tmp/usr/bin/:$$PATH \
	  HOME=$(CURDIR)/build \
	  $(MAKE) -C doc html PYTHON=python$(PYVER)
	# Link in the local coy of mathjax
	ln -sf /usr/share/javascript/mathjax/ doc/build/html/_static/mathjax
endif

override_dh_install:
	: # I: Move libraries into the python3-nipy-lib packages
	( cd debian/python3-nipy/ && \
	  find . -iname *.so | \
	    while read so; do \
	      d=../python3-nipy-lib/$$(dirname $$so); \
	      mkdir -p $$d; echo "Moving $$so under $$d"; mv $$so $$d; \
	    done; \
	)
	dh_install
	: # I: Assure versioned dependency on NumPy
	dh_numpy3
	-rm debian/python-nipy-doc/usr/share/javascript/underscore/underscore.js

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## immediately usable documentation and exemplar scripts/data
override_dh_compress:
	: # I: Avoiding compression of what should not be compressed
	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv

override_dh_installman: manpages
	# FIXME: in their current state, manpages are useless, so are disabled.
	#dh_installman -ppython3-nipy build/manpages/*.1

override_dh_clean:
	: # I: Custom cleaning
	rm -rf build nipy/neurospin/__config__.py
	$(MAKE) -C doc clean
	dh_clean

override_dh_auto_clean:
	# Do not force maintainers to install Build-Depends on local machine
	dh_auto_clean || rm -rf __pycache__ .pybuild

=== debian/tests/control ===
Test-Command: cd debian/tests && python3 -m pytest nipy_test.py
Depends: python3-nipy, python3-nipy-lib, python-nipy-doc, python3-pytest
Restrictions: allow-stderr

## nipy 0.6.1

=== requirements.txt ===
# See pyproject.toml for requirement definitions
numpy>=1.22
scipy>=1.8
sympy>=1.9
nibabel>=3.2
transforms3d

=== doc/Makefile ===
--- 
+++ 
@@ -110,10 +110,10 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in build/linkcheck/output.txt."
 
-clean-doctest: clean doctest-only
+clean-doctest: clean doctest
 	# Clean avoids testing API docs
 
-doctest-only:
+doctest:
 	mkdir -p build/doctest build/doctrees
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
 	@echo

=== debian/changelog ===
nipy (0.6.1-3) unstable; urgency=medium

  * bool-type-error.patch: new: fix test failures. (Closes: #1117755)
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/rules: enable binaries hardening.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Oct 2025 22:41:20 +0200

nipy (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * Pick up patch submitted to upstream for NumPy 2.3 support. Closes:
    #1114704
  * d/control: switch to autopkgtest-pkg-pybuild.
  * Standards-Version: 4.7.2 (routine-update)
  * Add missing build dependency on python3-numpy-dev for command dh_numpy3.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Sep 2025 16:41:30 +0200

nipy (0.6.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.6.1
  * Remove obsolete patches, upstream has dropped Python2 support.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 20 Oct 2024 17:34:34 +0200

nipy (0.6.0-2) unstable; urgency=medium

  * gcc-14.patch: new: fix build failure with gcc 14. (Closes: #1075317)
  * sympy-1.13.patch: new: fix test failures with sympy 1.13.
  * d/control: declare compliance to standards version 4.7.0.
  * d/rules: remove an extra license file.
  * python3-shebang.patch: forwarded upstream.
  * d/python3-nipy.lintian-overrides: new: flag non-docs in dist-packages.

 -- Étienne Mollier <emollier@debian.org>  Wed, 04 Sep 2024 14:48:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Étienne Mollier <emollier@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -26,12 +26,12 @@
                cython3,
                graphviz,
                dvipng,
-               help2man
-Standards-Version: 4.6.2
+               help2man,
+               python3-numpy-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/nipy
 Vcs-Git: https://salsa.debian.org/med-team/nipy.git
 Homepage: https://nipy.org/nipy/
-Rules-Requires-Root: no
 
 Package: python3-nipy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,16 @@
 
 PYVER = $(shell py3versions -vd)
 export PYBUILD_NAME = nipy
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export NIPY_EXTERNAL_LAPACK=1
 
 # stop matplotlib from thinking it should display plots
 export MPLBACKEND=Agg
+
+DESTDIR = $(CURDIR)/debian/python3-$(PYBUILD_NAME)
+DISTDIR = $(DESTDIR)/usr/lib/python3/dist-packages
+
+export PYBUILD_TEST_ARGS=--pyargs nipy
 
 # Mega rule
 %:
@@ -20,7 +25,7 @@
 manpages:
 	@echo "I: generating manpages"
 	set -e; mkdir -p $(CURDIR)/build/manpages && \
-	cd $(CURDIR)/debian/python3-nipy/usr/bin/ && for f in *; do \
+	cd $(DESTDIR)/usr/bin/ && for f in *; do \
 		descr=$$(grep -h -e "^ *'''" -e 'DESCRIP =' $$f | sed -e "s,.*' *\([^'][^']*\)'.*,\1,g" | head -n 1); \
         PYTHONPATH=../ \
 		help2man -n "$$descr" --no-discard-stderr --no-info --version-string "$(DEB_VERSION_UPSTREAM)" "python3 ./$$f" \
@@ -41,7 +46,7 @@
 
 override_dh_install:
 	: # I: Move libraries into the python3-nipy-lib packages
-	( cd debian/python3-nipy/ && \
+	( cd $(DESTDIR) && \
 	  find . -iname *.so | \
 	    while read so; do \
 	      d=../python3-nipy-lib/$$(dirname $$so); \
@@ -55,6 +60,7 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
+	rm -vf $(DISTDIR)/nipy/algorithms/statistics/models/LICENSE.txt
 
 ## immediately usable documentation and exemplar scripts/data
 override_dh_compress:

=== debian/watch ===
Version: 5

Template: Github
Owner: nipy
Project: nipy
Uversionmangle: s/rc/~rc/
